package com.gic.plug.web.controller.goods;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.goods.api.dto.SpecCordDTO;
import com.gic.goods.api.service.CordApiService;
import com.gic.mall.base.api.enums.ErrorCodeEnums;
import com.gic.mall.share.api.dto.shop.ShopDTO;
import com.gic.mall.share.api.service.ShopApiService;
import com.gic.plug.web.vo.goods.MallGoodsCordVO;

/**
 * 商城装修选择器
 */
@RestController
public class AppletConfigGoodsController {

    @Autowired
    private CordApiService cordApiService;

    @Autowired
    private ShopApiService shopApiService;

    @RequestMapping("get-mall-cord-list")
    public RestResponse getMallCordList(Long appConfigId) {
        ServiceResponse<ShopDTO> shopDTOServiceResponse =  shopApiService.getShopByAppletId(appConfigId, 1129, 1);
        if (shopDTOServiceResponse.getResult() == null) {
            return RestResponse.failure(ErrorCodeEnums.MAll_ERR.getCode(), "不存在店铺");
        }
        Long areaId = shopDTOServiceResponse.getResult().getAreaId();
        ServiceResponse<List<SpecCordDTO>> listServiceResponse = cordApiService.listSpecCordDTO(areaId);
        return RestResponse.success(EntityUtil.changeEntityListByOrika(MallGoodsCordVO.class, listServiceResponse.getResult()));
    }


}
